%define section free

Name:           i18n-lib
Version:        0.1.3
Release:        1jpp
Epoch:          0
Summary:        Library intended to help Java software internationalization

Group:          Development/Libraries/Java
License:        BSD
URL:            http://www.jhraigniac.freesurf.fr/i18n-lib/
Source0:        http://www.jhraigniac.freesurf.fr/i18n-lib/i18n-src-0.1.3.jar
Source1:        %{name}-build.xml
Vendor:         JPackage Project
Distribution:   JPackage
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

BuildRequires:  ant, jpackage-utils >= 0:1.5

%description
%{summary}.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.


%prep
%setup -q -c
cp -p %{SOURCE1} ./build.xml


%build
ant

%install
rm -rf $RPM_BUILD_ROOT

install -D -p -m 644 build/lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}
cp -pr build/api $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi


%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}


%changelog
* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:0.1.3-1jpp
- 0.1.3

* Fri Aug 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.1-1jpp
- First build.
